# Amazon ElastiCache SDK

> _Warning:_ This is an experimental preview release which is still under heavy development and not intended for public consumption, _caveat emptor_!

* [Description](#description)
* [Contribute](#contribute)
* [Licence](#licence)

## Description

ElastiCache is a web service that makes it easy to deploy, operate, and scale
an in-memory cache in the cloud. The service improves the performance of web
applications by allowing you to retrieve information from fast, managed,
in-memory caches, instead of relying entirely on slower disk-based databases.
Amazon ElastiCache automatically detects and replaces failed nodes, reducing
the overhead associated with self-managed infrastructures and provides a
resilient system that mitigates the risk of overloaded databases, which slow
website and application load times. Through integration with Amazon
CloudWatch, Amazon ElastiCache provides enhanced visibility into key
performance metrics associated with your Memcached or Redis nodes.

Documentation is available via [Hackage](http://hackage.haskell.org/package/amazonka-elasticache)
and the [AWS API Reference](http://docs.aws.amazon.com/AmazonElastiCache/latest/APIReference/Welcome.html).


## Contribute

For any problems, comments, or feedback please create an issue [here on GitHub](https://github.com/brendanhay/amazonka/issues).

> _Note:_ this library is an auto-generated Haskell package. Please see `amazonka-gen` for more information.


## Licence

`amazonka-elasticache` is released under the [Mozilla Public License Version 2.0](http://www.mozilla.org/MPL/).

Parts of the code are derived from AWS service descriptions, licensed under Apache 2.0.
Source files subject to this contain an additional licensing clause in their header.
